# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [3.0.0](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.2.2...v3.0.0) (2022-04-22)


### ⚠ BREAKING CHANGES

* upgrade to rails 7 

### Features

* upgrade to rails 7  ([2ea953e](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/2ea953e0121632df67abf7e1ba2b553cbedf75e6))


### Bug Fixes

* cq fixes ([8b1f90f](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/8b1f90f76879d1e9ba3face24ca1a8167fb76563))

### [2.2.2](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.2.1...v2.2.2) (2022-04-12)

### [2.2.1](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.2.0...v2.2.1) (2022-03-28)

## [2.2.0](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.1.0...v2.2.0) (2022-03-28)


### Features

* Upgrade to ruby 2.7.5 and Debian 11 ([5055d1b](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/5055d1bca23598443c2d330313066db42342acb1))

## [2.1.0](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.0.7...v2.1.0) (2022-03-23)


### Features

* Add secure_headers ([73f74bf](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/73f74bf8c360b603e470a936c22138eac4dbf51e))

### [2.0.7](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.0.6...v2.0.7) (2022-03-09)

### [2.0.6](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.0.5...v2.0.6) (2022-02-22)

### [2.0.5](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.0.4...v2.0.5) (2022-02-14)

### [2.0.4](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.0.3...v2.0.4) (2021-12-16)


### Bug Fixes

* upgrade to rails 6.1.4.4 ([0591a94](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/0591a94715cd7d6493fe18573907d2ba3edc0fb5))

### [2.0.3](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.0.2...v2.0.3) (2021-12-15)


### Bug Fixes

* update rails to fix vulnerability in ActionPack ([43b2ec6](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/43b2ec68a26bcf0f8ef88d276df17a2eca93744a))

### [2.0.2](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.0.1...v2.0.2) (2021-10-13)


### Bug Fixes

* updated puma to fix vuln ([6dea7ca](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/6dea7ca99d050bb772b5770ed3b60e9274a653c4))

### [2.0.1](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v2.0.0...v2.0.1) (2021-09-28)


### Bug Fixes

* updated lockfile ([93a98c6](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/93a98c6b792846606ce7e22778b8b117562dfb75))

## [2.0.0](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.4.1...v2.0.0) (2021-09-28)


### ⚠ BREAKING CHANGES

* updated nexus CQRS gems to include new handler format

### Features

* updated nexus CQRS gems to include new handler format ([d627abb](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/d627abbd8ba2e61b4bcd5578ce73d65a64ab07a6))

### [1.4.1](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.4.0...v1.4.1) (2021-09-28)


### Bug Fixes

* updated nokogiri ([99c4543](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/99c454327ad2ac08e945bd83c663e80f0fbf6ed9))

## [1.4.0](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.3.6...v1.4.0) (2021-08-23)


### Features

* updated rspec to latest version, along with mailchecker and ddtrace ([c11346e](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/c11346ec39629e2cfdcba7d05f8e3cd818a267f7))

### [1.3.6](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.3.5...v1.3.6) (2021-08-23)


### Bug Fixes

* **#2:** updated nexus-cqrs-auth => 0.0.5 ([5fb4882](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/5fb4882e37f11a5ef18dfdc883dd455ba10baee1)), closes [#2](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/issues/2)

### [1.3.5](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.3.4...v1.3.5) (2021-08-23)


### Bug Fixes

* **#1:** CVE-2021-22942 ([76f2c02](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/76f2c02f8567bb984936ab1c7d1248ccd8b63747)), closes [#1](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/issues/1)

### [1.3.4](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.3.3...v1.3.4) (2021-07-13)


### Bug Fixes

* hadolint suggestions ([2b6e36b](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/2b6e36ba967f685f40a2126076119fc6e49aab45))
* invalid dockerfile changes ([851d312](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/851d3128ea84b1550ace69c1446c792ba044435a))
* updated addressable and various other gems ([0e6ac62](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/0e6ac62af2c7569b3b9bf4867ac65fe45ef71e90))

### [1.3.3](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.3.2...v1.3.3) (2021-05-20)


### Bug Fixes

* update puma due to security issue ([636a342](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/636a342caa197cf318e5b63dc925555c5fb53789))

### [1.3.2](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.3.1...v1.3.2) (2021-05-18)


### Bug Fixes

* update nokogiri and dependencies ([c1121af](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/c1121af2f1ace2fcf1718939aa84d730abf644d7))

### [1.3.1](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.3.0...v1.3.1) (2021-05-10)


### Bug Fixes

* pin apt-get versions ([6bce15c](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/6bce15c330037e0e329b28354e843f99fab2ad12))
* updated to rails 6.1.3.2 ([9369aac](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/9369aac623e74965f209cd98f1fe213871f0640c))

## [1.3.0](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.2.0...v1.3.0) (2021-03-29)


### Features

* updated for API dependancies and rails 6.1 ([af363f1](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/af363f13451efc35d349bb85876c2afbcf4f4ab6))

## [1.2.0](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.1.2...v1.2.0) (2021-03-26)


### Features

* updated for rails 6.1 ([b83504b](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/b83504bd4ba508a0eb7c014a2ad59672309d6b81))

### [1.1.2](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.1.1...v1.1.2) (2021-03-24)


### Bug Fixes

* added new updated versions for API ([6dc5a2d](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/6dc5a2d02e69a23021c6b263baa7d16a82b8c92f))

### [1.1.1](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/compare/v1.1.0...v1.1.1) (2020-12-11)


### Bug Fixes

* fix major dependencies to specific version ([065a06f](https://gitlab.nexdev.uk/pub/rails-base-image-builder/-/commit/065a06fa3efc30b15b1060ca6a802d5df96e255e))

## [1.1.0](https://gitlab.nexdev.uk///compare/v1.0.4...v1.1.0) (2020-09-10)


### Features

* updated ruby to 2.7.1 ([54e3d6a](https://gitlab.nexdev.uk///commit/54e3d6a45bec4bac7a06251962a93dc6321f76bf))

### [1.0.4](https://gitlab.nexdev.uk///compare/v1.0.3...v1.0.4) (2020-09-07)

### [1.0.3](https://gitlab.nexdev.uk///compare/v1.0.2...v1.0.3) (2020-09-07)


### Bug Fixes

* fixed issue with duplicate images ([0069478](https://gitlab.nexdev.uk///commit/00694786e774edaeb86dddfaf502bea207a1adc3))

### [1.0.2](https://gitlab.nexdev.uk///compare/v1.0.1...v1.0.2) (2020-09-07)

### 1.0.1 (2020-09-07)


### Bug Fixes

* added new gems for users ([9be1ceb](https://gitlab.nexdev.uk///commit/9be1cebc92cd0ed1734d301d1cb61cc1b0fd6ff5))
